/ lang / sgn
Sgn
Syntax

    Sign = Sgn ( Number AS Float )

Returns the sign of a number.

- If the number is zero, it returns zero.
- If the number is strictly positive, it returns the integer number +1.
- If the number is strictly negative, it returns the integer number -1.

### Examples

    PRINT Sgn(Pi)
    <hr>1

    PRINT Sgn(-Pi)
    <hr>-1

    PRINT Sgn(0)
    <hr>0

### See also

Arithmetical Functions